module Types.Function
  ( Function(..)
  ) where

import Language.Haskell.TH.Syntax (Lift)

data Function = ConcatStrings
              | ConcatTexts
              | JoinPaths
              | FileComponents
              | LowerString
              | ElemOf
              | MakeTemplate
              | ApplyTemplate
              | ToText
              | ConvertImage
              | RunPandoc
  deriving (Show, Lift)

